Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000397Core InformAssertions and creationspublic2010-11-07 16:502011-01-10 11:15
ReporterRon Newcomb 
Assigned Tograham 
PrioritynormalSeveritycriticalReproducibilityalways
StatusclosedResolutionfixed 
PlatformPPCOSMac OS XOS Version10.4
Product Version6F95 
Target VersionFixed in Version6G60 
Summary0000397: abject failure: "A person has a person called the surrogate. The surrogate of the player is the player."
DescriptionProblem. An internal error has occurred: attempt to retrieve wrong pointer type as instance. The current sentence is 'The surrogate of the player is the player' ; the error was detected at line 722 of "Chapter 2/Memory.w". This should never happen, and I am now halting in abject failure.

Changing the second argument to yourself avoids the error.
Minimal Source Text To Reproduce
There is room. 

A person has a person called the surrogate. The surrogate of the player is the player.
TagsNo tags attached.
Effect(critical) Compiler reports internal error
Attached Files

- Relationships

-  Notes
(0000850)
graham (administrator)
2010-11-21 09:15

An internal error produced when trying to produce a better problem message. The source text is arguably correct, but in fact not allowed, on grounds that "player" is not a constant and can't be the initial value of a property.

- Issue History
Date Modified Username Field Change
2010-11-07 16:50 Ron Newcomb New Issue
2010-11-08 14:31 jmcgrew Status new => acknowledged
2010-11-13 07:00 EmacsUser Status acknowledged => confirmed
2010-11-21 09:15 graham Note Added: 0000850
2010-11-21 09:15 graham Status confirmed => resolved
2010-11-21 09:15 graham Resolution open => fixed
2010-11-21 09:15 graham Assigned To => graham
2010-12-23 17:37 jmcgrew Fixed in Version => 6G60
2011-01-10 11:15 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker